ROHTO BUGS - Bug #1424

[ESS-LEAVE] pengajuan cuti jika memilih tanggal 20 sampai 22 tidak dipilih dan kena validasi
padahal masih di bawah -14 hari

07/29/2022 02:56 PM - Muhammad Bintar

Status: Closed Start date: 07/29/2022
Priority: Normal Due date: 08/02/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.30 hours
Description

Dear tim developer mohon support nya untuk perbaikan pada validasi dimana employee 00000196 tidak bisa memilih tanggal 20-22
karena validasi tetapi tidak seharusnya muncul.
History

#1 - 08/03/2022 11:56 AM - M Azid Wahyudi

dear masbin , untuk isuue ini udah bisa test ya

makasih

#2 - 08/03/2022 11:57 AM - M Azid Wahyudi
- Status changed from New to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

#3 - 08/09/2022 11:20 AM - Muhammad Bintar

masih belum bisa azid..

ane contohkan untuk employeeid lain misal 00000260 pada tanggal 27 juli tidak bisa input attendance.

kemungkinan karena ada attendance di tanggal 27 juli yang starttime nya 0000 dan endtime nya 0000 karena kalau saya hapus data itu, validasi
tersebut tidak muncul kembali, tapi ane tes diisi starttime nya juga sama.
di tabel custparam LVCKDATE

DECLARE @EmpID VARCHAR="'00000260'
DECLARE @StartDate VARCHAR="20220727"

DECLARE @Regidtbl TABLE
(

RegIlD VARCHAR

);

INSERT INTO @Regidtbl
SELECT RegID

FROM dbo.PCMWFRUNMAIN
WHERE BizflowID = 'MD_Leave_SJ'
AND EmpIDAs = @EmpID;
DECLARE @TglRun TABLE

(

Tglrun VARCHAR

);

INSERT INTO @TglRun
SELECT DISTINCT

CASE

WHEN NOT EXISTS

(

SELECT DISTINCT

Value

FROM PCMWFRUNBIZDATA DATA
INNER JOIN @Regidtbl reg
ON reg.ReglID = DATA.RegID
WHERE FieldID = 'StartDate'
AND Value = @StartDate

) THEN

0

ELSE

"

END;

DECLARE @TglOvr TABLE

(
Tglrovr VARCHAR

INSERT INTO @TglOvr
SELECT DISTINCT

CASE

WHEN NOT EXISTS

(

SELECT DISTINCT
StartDate

FROM PHRPA0019

WHERE EmployeelD = @EmpID
AND StartDate = @StartDate
) THEN

o

ELSE

"

END;

SELECT *

FROM @TglOvr,

@TglRun;

#4 - 08/10/2022 09:34 AM - Muhammad Bintar
- Status changed from QA Test to Developing

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

#5 - 08/25/2022 10:03 AM - Muhammad Bintar
- File clipboard-202208251003-cxdej.png added

- Status changed from Developing to Assigned

update:

dear tim developer untuk case ini masih belum fixing.

berikut sampel employee id nya 00000379 mengajukan cuti di tanggal 22 agustus
#6 - 09/08/2022 11:08 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya

perbaikan :
- di bizproc :
- init

- method

makasih

#7 - 09/08/2022 11:30 PM - M Azid Wahyudi

noted perbaikan :

selain di bizproc
smessagecatalog : CEK19LV
custparam : LVCKDATE

#8 - 09/16/2022 04:37 PM - Muhammad Bintar

oke sudah deploy ke client

#9 - 09/16/2022 04:38 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

Files
clipboard-202207291454-hb15s.png 121 KB 07/29/2022 Muhammad Bintar
clipboard-202208251003-cxdej.png 62.2 KB 08/25/2022 Muhammad Bintar
